summaryrefslogtreecommitdiff
path: root/buildbot/build-docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/build-docs.sh')
-rwxr-xr-xbuildbot/build-docs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/buildbot/build-docs.sh b/buildbot/build-docs.sh
new file mode 100755
index 0000000..92f5078
--- /dev/null
+++ b/buildbot/build-docs.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -eu
+
+cd $HOME/deployment
+
+# like "git pull", but discard local changes
+git fetch
+git reset --hard FETCH_HEAD
+
+cd $HOME/deployment/taler-docbuild
+./invalidate.sh
+
+make